<template>
  <div class="container">
    <div class="row">
      <div class="col pt-5">
        <div class="position-fixed">
          <TrendingTopicListVue />
          <CuadroAmigos />
        </div>
      </div>

      <div class="col-6">
        <div class="container pt-4">
          <div class="pt-4">
            <CarruselHistorias/>
            <CuadroNuevaPublicacion :usuario="usuario"/>
            <Publicaciones :publicaciones="publicaciones"/>
          </div>

        </div>
      </div>

      <div class="col pt-5">
        <div class="position-fixed">
          <CuadroCumples />
          <CuadroSolicitudes />
        </div>
      </div>

    </div>
  </div>
</template>

<script>
import Publicaciones from "@/components/muro/Publicaciones.vue";
import CuadroNuevaPublicacion from "@/components/muro/CuadroNuevaPublicacion.vue";
import CarruselHistorias from "@/components/muro/CarruselHistorias.vue";
import CuadroSolicitudes from "@/components/muro/CuadroSolicitudes.vue";
import CuadroCumples from "@/components/muro/CuadroCumples.vue";
import CuadroAmigos from "@/components/muro/CuadroAmigos.vue";
import TrendingTopicListVue from '@/components/tendencias/TrendingTopicList.vue';
import axios from 'axios';




export default {
  name: 'HomeView',
  data() {
        return {
            publicaciones:[],
            usuario:null,
        }
    },
  components: { TrendingTopicListVue, Publicaciones, CuadroNuevaPublicacion, CarruselHistorias, CuadroSolicitudes, CuadroCumples, CuadroAmigos },
  methods: {
    async cargarPublicaciones() {
      try {
        const respuesta = await axios.get(`http://localhost:3001/muro/ver2?id=${this.usuario.id}`);
        this.publicaciones = respuesta.data;
        console.log("publicaciones")
        console.log(this.publicaciones)
      } catch (e) {
        console.log(e);
      }
    },
    async buscarUsuario() {
      try {
        this.usuario = await axios.get(`http://localhost:3001/usuarios/sesion`).data
      } catch (e) {
        console.log(e)
      }

    }
  },
  async mounted() {
    await this.cargarPublicaciones();
  }

}





</script>

<style></style>